"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteRelationship = void 0;
async function deleteRelationship(id, rel, input) {
    const idsResult = await this.typeormUtilsService.validateRelationInputData(rel, input);
    const postBuilder = this.repository
        .createQueryBuilder()
        .relation(rel.toString())
        .of(id);
    if (Array.isArray(idsResult)) {
        await postBuilder.remove(idsResult);
    }
    else {
        await postBuilder.set(null);
    }
    return void 0;
}
exports.deleteRelationship = deleteRelationship;
//# sourceMappingURL=delete-relationship.js.map