export declare const ObjectTyped: {
    keys: <T extends {}>(yourObject: T) => (keyof T)[];
    values: <U extends {}>(yourObject: U) => U[keyof U][];
    entries: <O extends {}>(yourObject: O) => [keyof O, O[keyof O]][];
    fromEntries: <K extends string, V>(yourObjectEntries: [K, V][]) => Record<K, V>;
};
export declare function isObject(item: unknown): item is object;
