import { ParamsForExecute } from '../types';
import { ResourceObject, ResourceObjectRelationships, ValidateQueryError } from '../../../types';
export declare function isZodError(param: string | unknown): param is {
    message: ValidateQueryError[];
};
export declare class ExecuteService {
    private readonly dataSource;
    private readonly moduleRef;
    private asyncIteratorFactory;
    run(params: ParamsForExecute[], tmpIds: (string | number)[]): Promise<(ResourceObject<any> | ResourceObjectRelationships<any, any>)[]>;
    private executeOperations;
    private replaceTmpIds;
    private getControllerInstance;
    private processException;
    private runOneOperation;
    private runPipes;
    private getPipeInstance;
}
